Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGraphicsPixmapItem.ShapeMode

    java.lang.Object
      java.lang.Enum<QGraphicsPixmapItem.ShapeMode>
          com.trolltech.qt.gui.QGraphicsPixmapItem.ShapeMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGraphicsPixmapItem.ShapeMode>

Enclosing class:
  QGraphicsPixmapItem

    public static enum QGraphicsPixmapItem.ShapeMode

extends java.lang.Enum<QGraphicsPixmapItem.ShapeMode>
implements QtEnumerator

This enum describes how `QGraphicsPixmapItem` calculates its shape.

The default value is `MaskShape`.

Enum Constant Summary
`BoundingRectShape` The shape is determined by tracing the outline of the pixmap.
`HeuristicMaskShape` The shape is determine by calling QPixmap::createHeuristicMask().
`MaskShape` The shape is determined by calling QPixmap::mask().

Method Summary
`static QGraphicsPixmapItem.ShapeMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGraphicsPixmapItem.ShapeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGraphicsPixmapItem.ShapeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MaskShape

    public static final QGraphicsPixmapItem.ShapeMode MaskShape

  The shape is determined by calling QPixmap::mask(). This shape includes only the opaque pixels of the pixmap. Because the shape is more complex, however, it can be slower than the other modes, and uses more memory.

### BoundingRectShape

    public static final QGraphicsPixmapItem.ShapeMode BoundingRectShape

  The shape is determined by tracing the outline of the pixmap. This is the fastest shape mode, but it does not take into account any transparent areas on the pixmap.

### HeuristicMaskShape

    public static final QGraphicsPixmapItem.ShapeMode HeuristicMaskShape

  The shape is determine by calling QPixmap::createHeuristicMask(). The performance and memory consumption is similar to `MaskShape`.

Method Detail

### values

    public static final QGraphicsPixmapItem.ShapeMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGraphicsPixmapItem.ShapeMode c : QGraphicsPixmapItem.ShapeMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGraphicsPixmapItem.ShapeMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGraphicsPixmapItem.ShapeMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD